<!--

    Copyright 2004 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

-->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<%@ page isELIgnored ="false" %>
	<%@ taglib uri="spagotags" prefix="spago" %>
	<%@ page language="java" extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" session="true" errorPage="/jsp/common/serviceError.jsp"	%>
	<%@ page import="it.eng.spago.base.*"%>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<meta http-equiv="Content-Style-Type" content="text/css">
	
	<spago:javascriptInclude />

	<title>Spago Demo</title>
</head>
<% 
	// Load current user data
	SessionContainer permanentContainer = getRequestContainer(request).getSessionContainer().getPermanentContainer();
	it.eng.spago.security.IEngUserProfile ucx = (it.eng.spago.security.IEngUserProfile)permanentContainer.getAttribute(it.eng.spago.security.IEngUserProfile.ENG_USER_PROFILE) ;
	String user = "UNKNOWN USER" ;
	if (ucx != null) {
		user = ucx.getUserAttribute("name") + " " + ucx.getUserAttribute("surname") ;	
	}
%>
<body id="BD" class="standardBD" onkeypress="checkSubmit();">


<div id="menucontainer" class="menucontainer" >

            <div id="closemenu" class="closemenu" >
                        <img id="imgMenuClose" class="imgMenuClose" src="../resource/spago/img/1024/MenuClose.gif" onclick="javascript:chiudiMenu()" onmouseover="this.src='../resource/spago/img/1024/MenuCloseOver.gif'" onmouseout="this.src='../resource/spago/img/1024/MenuClose.gif'">
            </div>   
            <div id="openmenu" class="openmenu" >

                        <img id="imgMenuOpen" class="imgMenuOpen" src="../resource/spago/img/1024/MenuOpen.gif" onclick="javascript:apriMenu()" onmouseover="this.src='../resource/spago/img/1024/MenuOpenOver.gif'" onmouseout="this.src='../resource/spago/img/1024/MenuOpen.gif'">
            </div>
</div>   

	<div id="menuitems" class="menuitems" >
	<div class="t">
	<div class="b">
	<div class="l">
	<div class="r">
	<div class="bl">
	<div class="br">
	<div class="tl">
	<div class="tr">	
	<spago:menu application="SPAGODEMO" />
	</div></div></div></div></div></div></div></div>
	<div class="filler" id="menubottom">&nbsp;</div>
	</div>	

<div id="ajaxdetail" class="hiddenPopUp80"></div>

<div id="container" class="container">

	<%--spago:actionUrl /--%>
	<!-- Sezione bottoniera -->	

		<div class="t" ><div class="b"><div class="l"><div class="r"><div class="bl"><div class="br"><div class="tl"><div class="tr">	
			<div id="titlebar" class="titlebar">
			<table class="background">
				<tr>
					<td><a href="#" class="logo" ></a></td>
					<td class="user"><%=user %>&nbsp;</td>
					<td>
						<spago:slider form="f1" id="paginator" styleClass="slider"/>
					</td>
					<td>
					<spago:buttonPanel id="buttons" styleClass="buttonContainer" form="f1" />
					</td>
				</tr>
				
			</table>
			</div>
		</div></div></div></div></div></div></div></div>
		<div  class="filler">&nbsp;</div>



	
	

	<div class="t" ><div class="b"><div class="l"><div class="r"><div class="bl"><div class="br"><div class="tl"><div class="tr">
	<div id="headerdiv" class="headerdiv"  >
	<table class="background">
	<tr><td>
	<div><h1 style=""><spago:attribute key="TITLE"/></h1></div>
	</td><td id="shMess" ><%= getShortMess(request) %></td>
	</tr></table>

		</div>
	</div></div></div></div></div></div></div></div>
	<div  class="filler">&nbsp;</div>



	<!-- PopUp -->

	<div id="specia" class="specia"></div>

	<div class="t">
	<div class="b">
	<div class="l">
	<div class="r">
	<div class="bl">
	<div class="br">
	<div class="tl">
	<div class="tr">
		<div id="site" class="site">
		<form id="f1" name="f1" id="f1" method="post" action="/SpagoDemo/servlet/AdapterHTTP">
			<spago:tabContainer form="f1" />
			<spago:detail form="f1"/>
			<spago:list form="f1"/>
			<input type="hidden" name="af_form" value="f1"/>
			<spago:actionUrl  form="f1"/>
		</form>
		</div> <!-- site -->
	</div></div></div></div></div></div></div></div>
	<div  class="filler">&nbsp;</div>


	<!-- Sezione footer: disclamer o segnalazioni -->


</div> <!-- container -->
<div id="footer">
</div> <!-- footer --> 

</body>
<head>
	<meta http-equiv="Cache-Control" content="no-store, no-cache, must-revalidate, max-age=0">
	<meta HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
	<spago:error/>
</head>
</html>