// Creation date and time: 25/07/2008 16:22:41

package it.eng.common.dao;

import it.eng.spago.dao.AbstractDAO;
import it.eng.spago.util.QueryExecutor;
import java.io.Serializable;

/*
 * TESTENVDAO - Classe specifica per i file generati sotto l'ambiente TESTENV (libreria TESTENV)
 */

public abstract class TESTENVDAO extends AbstractDAO implements Serializable {

	public String getQuery()  throws Exception  {
		String type = getType() ;
		String statement = "";
		if (type.equals(QueryExecutor.UPDATE))
			statement = handleUpdate() ;
		else if (type.equals(QueryExecutor.CREATE))
			statement = handleInsert() ;
		else if (type.equals(QueryExecutor.READ))
			statement = handleSelect() ;
		else if (type.equals(QueryExecutor.DELETE))
			statement = handleDelete() ;
		return statement ;
	}
	protected String handleUpdate()  throws Exception {
		loadAuditParameter() ;
		return getStatement() ;
	}
	protected String handleInsert()  throws Exception {
		// Verifica se non esiste il record ...
		loadAuditParameter() ;
		return getStatement() ;
	}
	protected String handleSelect()  throws Exception {
		loadAuditParameter() ;
		return getStatement() ;
	}
	
	protected String handleDelete()  throws Exception {
		loadAuditParameter() ;
		return getStatement() ;
	}

	protected void loadAuditParameter() {
		// This environment type does not require Audit Parameters
	}
}

