/**

 Copyright 2004, 2008 Engineering Ingegneria Informatica S.p.A.

 This file is part of Spago.

 Spago is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation; either version 2.1 of the License, or
 any later version.

 Spago is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with Spago; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago.dispatching.action.detail.impl;

import it.eng.spago.base.SessionContainer;
import it.eng.spago.base.SourceBean;
import it.eng.spago.dispatching.action.AbstractAction;
import it.eng.spago.security.IEngUserProfile;
import it.eng.spago.security.UserContext_MOK;

public class ActLogin_MOK  extends AbstractAction {
	private static final long serialVersionUID = 3770063661766479704L;
	IEngUserProfile ucx =null;
	
	public void service(SourceBean serviceRequest, SourceBean serviceResponse) throws Exception {
		getErrorHandler().clear() ;

		ucx = new UserContext_MOK() ;

		SessionContainer permanentContainer = _requestContainer.getSessionContainer().getPermanentContainer();
		permanentContainer.setAttribute("AF_LANGUAGE", "it");
		permanentContainer.setAttribute("AF_COUNTRY", "IT");
		//salvo ucx
		permanentContainer.setAttribute(IEngUserProfile.ENG_USER_PROFILE, ucx);
	}
}