/**

 Copyright 2004, 2008 Engineering Ingegneria Informatica S.p.A.

 This file is part of Spago.

 Spago is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation; either version 2.1 of the License, or
 any later version.

 Spago is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with Spago; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago.tags;


/**
 * @author grassi
 * Get an attribute from the configuration relative to the module / action of the current form
 */
public class AttributeTag extends AbstractStandardTag {
	private static final long serialVersionUID = 6290785076498673721L;
	private String key = null ;
	
	/**
	 * Parametro passato dalla JSP: indica il nome dell'attributo da ricercare (es: CONFIG.TITLE)
	 * @param key
	 */
	public void setKey(String key) {
		this.key = key;
	}

	/* (non Javadoc)
	 * @see it.eng.spago.tags.AbstractStandardTag#getHtmlStream()
	 */
	protected StringBuffer getHtmlStream() throws Exception {
		return new StringBuffer((_layout != null) ? (String)_layout.getAttribute(key) : "") ;
	}
	
}
