/**

 Copyright 2004, 2008 Engineering Ingegneria Informatica S.p.A.

 This file is part of Spago.

 Spago is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation; either version 2.1 of the License, or
 any later version.

 Spago is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with Spago; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.test.AxTest;

import it.eng.spago.soap.axis.client.AdapterAxisProxy;
import it.eng.spago.tracing.TracerSingleton;

public class AxTest {

	public static void main(String[] args) {
		
		
		//
		// Example1 : Using two instance of proxy you need to pass the session id,
		// 			  returned from proxy1 when constructing proxy2 instance
		AdapterAxisProxy proxy1 = null;
		StringBuffer aStringBuffer = new StringBuffer();
		aStringBuffer.append("<SERVICE_REQUEST PAGE=\"PagGestioneEntita\""
	                        + " SUSPEND_RESUME_ID=\"300\""
				            + "/>");
		try{
			proxy1 = new AdapterAxisProxy();
			// proxy1.setEndpoint("http://localhost/PortaleApplicativo/services/AdapterAxis");
			proxy1.setEndpoint("http://localhost/Master/services/AdapterAxis");

			
			// proxy1.setEndpoint("http://localhost:9080/sibws/wsdl/ArcaSiedBus/svn01Node01server1listenerSOAPReplyInboundService");
			// proxy1.setEndpoint("http://localhost:9080/listenerSOAP/soaphttpengine/ArcaSiedBus%2Fsvn01Node01server1listenerSOAPReplyInboundService%2Fsvn01Node01_server1_listenerSOAP_InboundPort") ;
			// proxy1.setEndpoint("http://10.10.5.197/Sied/services/AdapterAxis");
			// proxy1.setEndpoint("http://localhost/Sied/services/AdapterAxis");
			String response = proxy1.service(aStringBuffer.toString());
			System.out.println(response);
/*
 			AdapterAxisProxy proxy2 = null;
			Long idSession = proxy1.getSessionId();
			Thread.sleep(1000);
			
			proxy2 = new AdapterAxisProxy(idSession);
			proxy2.setEndpoint("http://10.10.5.197/Sied/services/AdapterAxis");
			
			response = proxy2.service(aStringBuffer.toString());
			
			System.out.println(" Response = ["+response+"]");
*/
		}catch (Exception e) {
			e.printStackTrace();
		}
	}
}
