/**

 Copyright 2004, 2008 Engineering Ingegneria Informatica S.p.A.

 This file is part of Spago.

 Spago is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation; either version 2.1 of the License, or
 any later version.

 Spago is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with Spago; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.test.AxTest;

import it.eng.spago.tracing.TracerSingleton;

import java.net.MalformedURLException;
import java.net.URL;
import java.rmi.RemoteException;

import javax.xml.rpc.ServiceException;

import org.apache.axis.client.Call;
import org.apache.axis.client.Service;

public class AxTestExt {
	public static void main(String[] args) {
		String messaggio = "";
		try {
			Call call = (Call) new Service().createCall();
			// call.setTargetEndpointAddress(new URL("http://10.10.5.197/Sied/services/AdapterAxis"));
			call.setTargetEndpointAddress(new URL("http://localhost:9081/Sied/services/AdapterAxis"));
			call.setOperationName(new javax.xml.namespace.QName("http://axis.soap.spago.eng.it", "service"));
			String request = "<SERVICE_REQUEST ACTION_NAME=\"ActTestMail\" MITT=\"GRASSI\""
	            + " DEST=\"andrea.grassi@eng.it\""
	            + " OGGETTO=\"Prova di invio mail da WebService\""
	            + " TESTO=\"Testo della mail\""
	            + " CORID=\"1234567890\""
	            + " APPNAME=\"Applic\""
	            + " ABIKEY=\"10000\""
	            + " hiddenF=\"true\""
	            + " SIGNATURE=\"N\""
	            + "/>" ;
			Object rispostaWS = call.invoke(new java.lang.Object[] {request});
			messaggio = "il Web service ha risposto: " + (String) rispostaWS;
		} catch (MalformedURLException ex) {
			messaggio = "errore: l'url non  esatta";
		} catch (ServiceException ex) {
			messaggio = "errore: la creazione della chiamata  fallita";
		} catch (RemoteException ex) {
			messaggio = "errore: l'invocazione del WS  fallita";
		} finally {
			System.out.println(messaggio);
		}
	}
}
