/**

 Copyright 2004, 2008 Engineering Ingegneria Informatica S.p.A.

 This file is part of Spago.

 Spago is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation; either version 2.1 of the License, or
 any later version.

 Spago is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with Spago; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.test.AxTest;

import it.eng.spago.soap.axis.client.AdapterAxisProxy;
import it.eng.spago.tracing.TracerSingleton;

public class AxTestSingleProxy {

	public static void main(String[] args) {
		
		//
		// Example1 : Use the same proxy instance for mutiple calls.
		// 			  In the case you'use the same proxy you doesnt't 
		//			  need to handle manually the session ID
		AdapterAxisProxy proxy1 = null;
		
		StringBuffer aStringBuffer = new StringBuffer();
		aStringBuffer.append("<SERVICE_REQUEST ACTION_NAME=\"INCREMENTA_NUMERO\" />");
		try{
			proxy1 = new AdapterAxisProxy();
			proxy1.setEndpoint("http://localhost:8080/ValidationTest/services/AdapterAxis");
			String response = proxy1.service(aStringBuffer.toString());
			System.out.println(" Response = ["+response+"]");
			Thread.sleep(1000);
			
			response = proxy1.service(aStringBuffer.toString());
			System.out.println(" Response = ["+response+"]");
		}catch (Exception e) {
			e.printStackTrace();
		}
	}
}
