<!--

    Copyright 2004 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

-->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page 
	language="java"
	import="java.util.*, it.eng.spago.base.*, it.eng.spago.error.*"
	contentType="text/html; charset=ISO-8859-1"
	 extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	pageEncoding="ISO-8859-1"
	isErrorPage="true"
	session="true"
%>
<%@ page isELIgnored ="false" %>
<%@ taglib uri="spagotags" prefix="spago" %>

<%
	if (exception == null)
	    exception = (Exception) session.getAttribute("_EXCEPTION_");
	
	StackTraceElement[] trace = exception != null ? exception.getStackTrace() : null ;
	String title = "Errore interno all'applicativo" ;
	String message = "" ;
	if (exception != null) {
		if (exception.getMessage() != null)
			message = exception.getMessage() ;
		else
			message = exception.toString() ;
	}
	ResponseContainer responseContainer = ResponseContainerAccess.getResponseContainer(request);
	EMFErrorHandler engErrorHandler = responseContainer.getErrorHandler();
	String errorHandlerMessages = "" ;
	ArrayList errorStack = new ArrayList(engErrorHandler.getErrors());
	Exception nativeEx=null ;
	for (int i = 0; errorStack != null && i < errorStack.size(); i++) {
		if (errorStack.get(i) instanceof EMFInternalError) {
			errorHandlerMessages += "<li>description: " +((EMFInternalError)errorStack.get(i)).getDescription() ;
			nativeEx = ((EMFInternalError)errorStack.get(i)).getNativeException();
			if (nativeEx != null) {
				errorHandlerMessages += "nativeEx: " + nativeEx.getMessage() ;
				
			}
			errorHandlerMessages += "</li>" ;
		}
		if (errorStack.get(i) instanceof EMFUserError)
			errorHandlerMessages += "<li>description: " + ((EMFUserError)errorStack.get(i)).getDescription() + "</li>";
	}

	String publisherName = null ;
	try {
		RequestContainer requestContainer =  RequestContainerAccess.getRequestContainer(request);
		SourceBean serviceRequest = requestContainer.getServiceRequest();
		publisherName = (String) serviceRequest.getAttribute("AJAX");
	} catch (NullPointerException ex) {
		; // TODO something
	}
	if (publisherName != null && publisherName.trim().length() > 0) {
%>
site|<font face="Courier New, Courier, mono" size="1" >
	<% for (int i=0 ; trace != null && i < trace.length ; i++) { %>
	   <%= trace[i].toString() %> <br>
	<% } %>
	</font>
|headerdiv|<h2><%= title%></h2><br><h2><%= message%></h2><br><h2><%=errorHandlerMessages %></h2>
	
<%} else { %>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<meta http-equiv="Content-Style-Type" content="text/css">
	
	<!-- Menu e page initialization -->
	<spago:error/>
	<spago:javascriptInclude />
	
	<title>Spago Demo</title>
</head>
<% 
	// Load current user data
	SessionContainer permanentContainer = getRequestContainer(request).getSessionContainer().getPermanentContainer();
	it.eng.spago.security.IEngUserProfile ucx = (it.eng.spago.security.IEngUserProfile)permanentContainer.getAttribute(it.eng.spago.security.IEngUserProfile.ENG_USER_PROFILE) ;
	String user = "UNKNOWN USER" ;
	if (ucx != null) {
		user = ucx.getUserAttribute("name") + " " + ucx.getUserAttribute("surname") ;	
	}
%>

<body id="BD" class="standardBD" onload="inizializzaPagina();stretchDivToHeight('siteList');checkError()" onkeypress="checkSubmit();">

<div id="menucontainer" class="menucontainer" >

       <div id="closemenu" class="closemenu" >
                <img id="imgMenuClose" class="imgMenuClose" src="../resource/spago/img/1024/MenuClose.gif" onclick="javascript:chiudiMenu()" onmouseover="this.src='../resource/spago/img/1024/MenuCloseOver.gif'" onmouseout="this.src='../resource/spago/img/1024/MenuClose.gif'">
       </div>   
       <div id="openmenu" class="openmenu" >
          <img id="imgMenuOpen" class="imgMenuOpen" src="../resource/spago/img/1024/MenuOpen.gif" onclick="javascript:apriMenu()" onmouseover="this.src='../resource/spago/img/1024/MenuOpenOver.gif'" onmouseout="this.src='../resource/spago/img/1024/MenuOpen.gif'">
       </div>
</div> 
<div id="menuitems" class="menuitems" >
	<div class="t">
	<div class="b">
	<div class="l">
	<div class="r">
	<div class="bl">
	<div class="br">
	<div class="tl">
	<div class="tr">	
	<spago:menu application="SPAGODEMO" />
	</div></div></div></div></div></div></div></div>
	<div class="filler" id="menubottom">&nbsp;</div>
	</div>	
<div id="container" class="container">

	<!-- Sezione bottoniera -->	
		<div class="t" ><div class="b"><div class="l"><div class="r"><div class="bl"><div class="br"><div class="tl"><div class="tr">
		<div id="titlebar" class="titlebar"  >
		<table class="background">
		<tr><td><a href="#" class="logo" ></a></td>
		<td class="user"><%=user %></td>
		<%--<td id="shMess" ><%= getShortMess(request) %></td>--%>
		</tr></table>
	
			</div>
		</div></div></div></div></div></div></div></div>
		<div  class="filler">&nbsp;</div>


		<div class="t" ><div class="b"><div class="l"><div class="r"><div class="bl"><div class="br"><div class="tl"><div class="tr">	
			<div id="headerdiv" class="headerdiv">
			<table class="background">
				<tr>
					<td><div><h1 style=""><spago:attribute key="TITLE"/></h1></div></td>
					<td><div class="slider" >
					</div>
					</td>
					<td>
					<spago:buttonPanel id="buttons" styleClass="buttonContainer" form="f1" />
					</td>
				</tr>
				
			</table>
				</div>
		</div></div></div></div></div></div></div></div>
		<div  class="filler">&nbsp;</div>

	<!-- PopUp -->

	<div id="specia" class="specia"></div>

	<div class="t">
	<div class="b">
	<div class="l">
	<div class="r">
	<div class="bl">
	<div class="br">
	<div class="tl">
	<div class="tr">
		<div id="siteDetail" class="site">
			<form id="f1" name="f1" method="post" action="/SpagoDemo/servlet/AdapterHTTP">
	<h2><%= title%></h2><br><h2><%= message%></h2><br><h2><%=errorHandlerMessages %></h2>
		<font face="Courier New, Courier, mono">
		<% for (int i=0 ; trace != null && i < trace.length ; i++) { %>
		   <%= trace[i].toString() %> <br>
		<% } %>
		</font>
</form>
		</div>
		 <!-- site -->
		
	</div></div></div></div></div></div></div></div>
	<div  class="filler">&nbsp;</div>	

<%
	if (nativeEx != null)
		nativeEx.printStackTrace();
%>
</div> <!-- container -->
<div id="footer">
</div> <!-- footer --> 

</body>
<head>
	<meta http-equiv="Cache-Control" content="no-store, no-cache, must-revalidate, max-age=0">
	<meta HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
</head>
</html>
<% }%>