<!--

    Copyright 2004 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

-->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page 
	language="java"
	import="java.io.PrintWriter, java.io.StringWriter, java.lang.*, java.text.*, java.util.*, it.eng.spago.base.*"
	contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"
	isErrorPage="true"
	session="true"
%>
<%@ page isELIgnored ="false" %>
<%@ taglib uri="spagotags" prefix="spago" %>
<%@ page import="it.eng.spago.base.*"%>

<%
	if (exception == null)
	    exception = (Exception) session.getAttribute("_EXCEPTION_");
	
	StackTraceElement[] trace = exception != null ? exception.getStackTrace() : null ;
	String message = "Errore interno all'applicativo" ;
	if (exception != null) {
		if (exception.getMessage() != null)
			message = exception.getMessage() ;
		else
			message = exception.toString() ;
	}
%>
<% 
String publisherName = null ;
try {
	RequestContainer requestContainer =  RequestContainerAccess.getRequestContainer(request);
	SourceBean serviceRequest = requestContainer.getServiceRequest();
	publisherName = (String) serviceRequest.getAttribute("AJAX");
} catch (NullPointerException ex) {
	; // TODO something
}
if (publisherName != null && publisherName.trim().length() > 0) {
%>
site|<font face="Courier New, Courier, mono" size="1" >
	<% for (int i=0 ; trace != null && i < trace.length ; i++) { %>
	   <%= trace[i].toString() %> <br>
	<% } %>
	</font>
|headerdiv|<table width="100%" id="titletb"><tr><td width="100%"><h2><%= message%></h2></td></tr></table>
	
<%} else { %>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<meta http-equiv="Content-Style-Type" content="text/css">
	
	<!-- Menu e page initialization -->
	<script type="text/javascript" src="/js/setup.js"></script>
  
	<title>Spago Demo</title>
</head>
<body id="BD" onload="onLoadScript()">
<script for=window event=onresize language="JScript" type="text/javascript">
  onResizeScript();
</script>
	
<div id="container" class="container">
<form id="f1" name="f1" method="post" action="/SpagoDemo">
	<div id="site" class="site" onscroll="getScroll(this)">
	<table width="100%" id="titletb"><tr><td width="100%"><h2><%= message%></h2></td></tr></table>
		<font face="Courier New, Courier, mono">
		<% for (int i=0 ; trace != null && i < trace.length ; i++) { %>
		   <%= trace[i].toString() %> <br>
		<% } %>
		</font>
	</div> <!-- site -->
</form>
</div> <!-- container -->
</body>
</html>
<% }%>