/**

 Copyright 2004, 2008 Engineering Ingegneria Informatica S.p.A.

 This file is part of Spago.

 Spago is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation; either version 2.1 of the License, or
 any later version.

 Spago is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with Spago; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago.services.http;

import java.io.IOException;
import java.net.URL;

public interface HttpServiceInterface {

    /**
     *  Description of the Method
     *
     *@param  url                           Description of the Parameter
     *@return                               Description of the Return Value
     *@exception  IOException               Description of the Exception
     */
    public String doGet(String url) throws Exception;


    /**
     *  Description of the Method
     *
     *@param  url                           Description of the Parameter
     *@return                               Description of the Return Value
     *@exception  IOException               Description of the Exception
     */
    public String doPost(String url) throws Exception;

    public String doGet(URL url) throws Exception;
}
